Program ZipDate;

Uses Dos, Zipper;

var
  DirInfo : SearchRec;
  Updated : boolean;
  Total,
  UpTotal : integer;
  Path    : PathStr;
  Dir     : DirStr;
  Name    : NameStr;
  Ext     : ExtStr;

Function upString(S:string):string;
Var i:byte;
   U:String;
begin
   U:=S;
   For i:=1 to length(S) do
      U[i]:=Upcase(S[i]);
   upString:=U;
end;

begin
  if ParamCount < 1 then
  begin
    writeln('Syntax:  ZipDate [filespec]');
    halt;
  end;
  Path := ParamStr(1);
  FSplit(Path,Dir,Name,Ext);
  if upString(Ext) = '.ZIP' then
  begin
    Total := 0; UpTotal := 0; Updated := false;
    writeln('ZipDate v1.0 - Chris Hall - PC Network (505) 821-5341');
    writeln;
    writeln('Updating ZipFile Dates to the latest file date.  Please Wait!');
    writeln;
    FindFirst(Path,AnyFile,DirInfo);
    while DosError = 0 do
    begin
      GetLatestDate(DirInfo,Updated);
      inc(Total);
      if Updated then
      begin
        inc(UpTotal);
        Updated := false;
      end;
      FindNext(DirInfo);
    end;
    writeln;
    writeln('Complete!');
    writeln;
    writeln(Total,' files Processed.  ',Uptotal,' files Updated');
  end
  else
    writeln('ZipDate can only process ZIP files!');
end.

